## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSoundRender Struct Reference

The sound renderer is used to play previously loaded sounds or music. More...

`#include <isound/renderer.h>`

Inheritance diagram for iSoundRender:

[legend]
List of all members.

## Public Member Functions

virtual iSoundListener * | GetListener ()=0
| Get the global Listener object.
virtual float | GetVolume ()=0
| Get Volume (range from 0.0 to 1.0).
virtual void | MixingFunction ()=0
| Internal use : mixing function (needed if your renderer uses a driver).
virtual csPtr< iSoundHandle > | RegisterSound (iSoundData *)=0
| Register a sound.
virtual void | SetVolume (float vol)=0
| Set Volume (range from 0.0 to 1.0).
virtual void | UnregisterSound (iSoundHandle *)=0
| Unregister a sound.

## Detailed Description

The sound renderer is used to play previously loaded sounds or music.

Loading itself is NOT done through this interface.

Sounds may be played as non-3d directly with PlaySound(). If you want more control (for example, stop the sound at any time) or if you want 3d sound you have to create a sound source. Sources can be 3d or non-3d, where non-3d sources simply ignore the position and velocity control methods of iSoundSource.

Before you can play a sound, you must first register it and get a sound handle.

Definition at line 45 of file renderer.h.

## Member Function Documentation

virtual iSoundListener* iSoundRender::GetListener | ( |  | ) | `[pure virtual]`

| Get the global Listener object.

virtual float iSoundRender::GetVolume | ( |  | ) | `[pure virtual]`

| Get Volume (range from 0.0 to 1.0).

virtual void iSoundRender::MixingFunction | ( |  | ) | `[pure virtual]`

| Internal use : mixing function (needed if your renderer uses a driver).

virtual csPtr<iSoundHandle> iSoundRender::RegisterSound | ( | iSoundData * |  | ) | `[pure virtual]`

| Register a sound.

virtual void iSoundRender::SetVolume | ( | float | vol | ) | `[pure virtual]`

| Set Volume (range from 0.0 to 1.0).

virtual void iSoundRender::UnregisterSound | ( | iSoundHandle * |  | ) | `[pure virtual]`

| Unregister a sound.

The documentation for this struct was generated from the following file:

- isound/renderer.h